## List CounterAdjustments

### cURL

```
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/counteradjustments \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/counteradjustments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/counteradjustments', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Status Codes

* `200`
* `4XX`
* `5XX`

### Sample Response

```
{
  "data": [\
    {\
      "id": "<string>",\
      "version": 123,\
      "dtCreated": "2023-11-07T05:31:56Z",\
      "dtLastModified": "2023-11-07T05:31:56Z",\
      "createdBy": "<string>",\
      "lastModifiedBy": "<string>",\
      "counterId": "<string>",\
      "accountId": "<string>",\
      "date": "2023-12-25",\
      "value": 123,\
      "purchaseOrderNumber": "<string>"\
    }\
  ],\
  "nextToken": "<string>"
}
```

### Error Response

```
{
  "message": "<string>"
}
```
  
### Authorization

Authorization is a string required in the header. m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

### Path Parameters

- `orgId`: required, UUID of the Organization.

### Query Parameters

- `pageSize`: required range `1 <= x <= 100`.
- `nextToken`: for multi-page retrievals.
- `counterId`: list items for the Counter UUID.
- `accountId`: list items for the Account UUID.
- `date`: list items for the given date.
- `endDateStart`, `endDateEnd`: filter by end dates.
- `sortOrder`: specify order for results.
